Loading...
Searching...
No Matches
year_month_weekday.h File Reference

Go to the source code of this file.

## Classes

class | etl::chrono::year_month_weekday
| year_month_weekday More...
class | etl::chrono::year_month_weekday_last
| year_month_weekday_last More...

## Namespaces

namespace | etl

## Functions

ETL_CONSTEXPR14 etl::chrono::year_month_weekday | etl::chrono::operator+ (const etl::chrono::year_month_weekday &ymwd, const etl::chrono::years &dy) ETL_NOEXCEPT
| Adds etl::chrono::years.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday | etl::chrono::operator+ (const etl::chrono::years &dy, const etl::chrono::year_month_weekday &ymwd) ETL_NOEXCEPT
| Adds etl::chrono::years.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday | etl::chrono::operator+ (const etl::chrono::year_month_weekday &ymwd, const etl::chrono::months &dm) ETL_NOEXCEPT
| Adds etl::chrono::months.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday | etl::chrono::operator+ (const etl::chrono::months &dm, const etl::chrono::year_month_weekday &ymwd) ETL_NOEXCEPT
| Adds etl::chrono::months.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday | etl::chrono::operator- (const etl::chrono::year_month_weekday &ymwd, const etl::chrono::years &dy) ETL_NOEXCEPT
| Subtracts etl::chrono::years.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday | etl::chrono::operator- (const etl::chrono::year_month_weekday &ymwd, const etl::chrono::months &dm) ETL_NOEXCEPT
| Subtracts etl::chrono::months.
ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::year_month_weekday &lhs, const etl::chrono::year_month_weekday &rhs) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::year_month_weekday &lhs, const etl::chrono::year_month_weekday &rhs) ETL_NOEXCEPT
| Inequality operator.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last | etl::chrono::operator+ (const etl::chrono::year_month_weekday_last &ymwdl, const etl::chrono::years &dy) ETL_NOEXCEPT
| Adds etl::chrono::years and const etl::chrono::year_month_weekday_last.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last | etl::chrono::operator+ (const etl::chrono::years &dy, const etl::chrono::year_month_weekday_last &ymwdl) ETL_NOEXCEPT
| Adds etl::chrono::years and const etl::chrono::year_month_weekday_last.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last | etl::chrono::operator+ (const etl::chrono::year_month_weekday_last &ymwdl, const etl::chrono::months &dm) ETL_NOEXCEPT
| Adds const etl::chrono::year_month_weekday_last and etl::chrono::months.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last | etl::chrono::operator+ (const etl::chrono::months &dm, const etl::chrono::year_month_weekday_last &ymwdl) ETL_NOEXCEPT
| Adds etl::chrono::months and const etl::chrono::year_month_weekday_last.
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last | etl::chrono::operator- (const etl::chrono::year_month_weekday_last &ymwdl, const etl::chrono::years &dy) ETL_NOEXCEPT
ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last | etl::chrono::operator- (const etl::chrono::year_month_weekday_last &ymwdl, const etl::chrono::months &dm) ETL_NOEXCEPT
ETL_CONSTEXPR14 bool | etl::chrono::operator== (const etl::chrono::year_month_weekday_last &lhs, const etl::chrono::year_month_weekday_last &rhs) ETL_NOEXCEPT
| Equality operator.
ETL_CONSTEXPR14 bool | etl::chrono::operator!= (const etl::chrono::year_month_weekday_last &lhs, const etl::chrono::year_month_weekday_last &rhs) ETL_NOEXCEPT
| Inequality operator.

## Function Documentation

## operator-() [1/2]

ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last etl::chrono::operator- | ( | const etl::chrono::year_month_weekday_last & | ymwdl,
|  | const etl::chrono::months & | dm )

inline

Subtracts etl::chrono::months from const etl::chrono::year_month_weekday_last

## operator-() [2/2]

ETL_CONSTEXPR14 etl::chrono::year_month_weekday_last etl::chrono::operator- | ( | const etl::chrono::year_month_weekday_last & | ymwdl,
|  | const etl::chrono::years & | dy )

inline

Subtracts etl::chrono::years from const etl::chrono::year_month_weekday_last.